%
% Aufgabe 2
% Graphische Darstellung des Spektralradius ber Relaxationsparameter
%
% 2001-02-06, Stephan Engelke, Andreas Meister
%

A     = [ 4 0  2;
	  0 5  2;
	  5 4 10 ];

D    = diag (diag (A));
spec = max(abs (eig (inv(D)*(D-A))))

omega_opt = 2/(1 + sqrt(1 - spec^2));

i = 0;
for omega=0:0.01:2
  i = i + 1;
  if (omega < omega_opt)
    mu(i) = 0.5 * spec^2 * omega^2 - (omega-1) + spec*omega ...
	    * sqrt( 0.25 * spec^2 * omega^2 - (omega -1) );
  else 
    mu(i) = omega - 1;
  end

end


plot ([0:0.01:2], mu);

%%% EOF %%%